# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes


#### Private Classes

* `patch::cache`: patch cache support
* `patch::default`: patch defined type defaults and system setup
* `patch::package`: manage required packages

### Defined types

* [`patch`](#patch): Apply patch to a target path

## Classes

## Defined types

### <a name="patch"></a>`patch`

Apply patch to a target path

#### Examples

##### 

```puppet
patch { 'patch vendor templates':
  target => '/opt/application/templates',
  source => file("${module_name}/vendor.patch"),
  strip  => 1,
}
```

#### Parameters

The following parameters are available in the `patch` defined type:

* [`target`](#target)
* [`content`](#content)
* [`source`](#source)
* [`strip`](#strip)
* [`loose`](#loose)
* [`backup`](#backup)

##### <a name="target"></a>`target`

Data type: `Stdlib::Absolutepath`

directory where the patch will be applied

Default value: `$title`

##### <a name="content"></a>`content`

Data type: `Optional[String]`

text of a unified diff

Default value: ``undef``

##### <a name="source"></a>`source`

Data type: `Optional[String]`

unified diff file

Default value: ``undef``

##### <a name="strip"></a>`strip`

Data type: `Integer`

strip the smallest prefix containing num leading slashes from each file name in the patch file

Default value: `0`

##### <a name="loose"></a>`loose`

Data type: `Optional[Boolean]`

match patterns loosely, in case tabs or spaces have been munged in your files

Default value: ``undef``

##### <a name="backup"></a>`backup`

Data type: `Optional[Boolean]`

create backups of successfully patched files

Default value: ``undef``

